## org.eclipse.xsd.util
Interface JAXPPool

All Known Implementing Classes:
  DefaultJAXPPool

    public interface JAXPPool

This interface defines pool that can be used to cache and retrieve SAX parser, DOM parser and Transformer.

Method Summary
`javax.xml.parsers.DocumentBuilder` `getDocumentBuilder(org.xml.sax.ErrorHandler errorHandler)`
`javax.xml.parsers.SAXParser` `getSAXParser(org.xml.sax.ext.LexicalHandler lexicalHandler)`
`javax.xml.transform.Transformer` `getTransformer(java.lang.String encoding)`
`void` `releaseDocumentBuilder(javax.xml.parsers.DocumentBuilder documentBuilder)`
`void` `releaseSAXParser(javax.xml.parsers.SAXParser parser)`
`void` `releaseTransformer(javax.xml.transform.Transformer transformer)`

Method Detail

### getDocumentBuilder

    javax.xml.parsers.DocumentBuilder getDocumentBuilder(org.xml.sax.ErrorHandler errorHandler)
                                                         throws javax.xml.parsers.ParserConfigurationException,
                                                                org.xml.sax.SAXException

  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`

### releaseDocumentBuilder

    void releaseDocumentBuilder(javax.xml.parsers.DocumentBuilder documentBuilder)

### getSAXParser

    javax.xml.parsers.SAXParser getSAXParser(org.xml.sax.ext.LexicalHandler lexicalHandler)
                                             throws javax.xml.parsers.ParserConfigurationException,
                                                    org.xml.sax.SAXException

  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`

### releaseSAXParser

    void releaseSAXParser(javax.xml.parsers.SAXParser parser)

### getTransformer

    javax.xml.transform.Transformer getTransformer(java.lang.String encoding)
                                                   throws javax.xml.transform.TransformerException

  Throws:
    `javax.xml.transform.TransformerException`

### releaseTransformer

    void releaseTransformer(javax.xml.transform.Transformer transformer)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.